> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lucitra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Project Trends

> Get validation score trends for a project.



## OpenAPI

````yaml /openapi.json get /v1/projects/{project_id}/trends
openapi: 3.1.0
info:
  title: Lucitra Validate API
  version: 0.1.0
servers: []
security: []
paths:
  /v1/projects/{project_id}/trends:
    get:
      tags:
        - reports
      summary: Get Project Trends
      description: Get validation score trends for a project.
      operationId: get_project_trends_v1_projects__project_id__trends_get
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Project Id
        - name: metric
          in: query
          required: false
          schema:
            type: string
            description: Score metric to trend
            default: overall
            title: Metric
          description: Score metric to trend
        - name: since
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Since
        - name: until
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Until
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TrendsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TrendsResponse:
      properties:
        data_points:
          items:
            $ref: '#/components/schemas/TrendDataPoint'
          type: array
          title: Data Points
      type: object
      required:
        - data_points
      title: TrendsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TrendDataPoint:
      properties:
        date:
          type: string
          format: date-time
          title: Date
        score:
          type: integer
          title: Score
        run_id:
          type: string
          format: uuid
          title: Run Id
      type: object
      required:
        - date
        - score
        - run_id
      title: TrendDataPoint
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````